from optparse import OptionParser
from wtss.analysis.feature import Feature
import sys

fields = {5:"chrom", 6:"start", 7:"end", 10:"family"}

def parse(file):
    features = []
    ff = open(file, 'r')
    for line in ff.readlines():
        cols = line.split("\t")
        #features.append([cols[11], cols[5], cols[6], cols[7]])
        features.append(Feature(cols[11], cols[5], cols[6], cols[7]))
    ff.close()
    return features


if __name__ == '__main__':
    usage = "Usage: %prog file"

    if len(sys.argv) == 2:
        features = parse(sys.argv[1])
        print len(features), features[0].details()
    else:
        sys.stderr.write('incorrect number of arguments')
